=== debian/changelog ===
ros-indigo-dynamic-edt-3d (1.6.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christoph Sprunk <sprunkc@informatik.uni-freiburg.de>  Wed, 13 Jan 2016 22:01:39 -0000
